/* PTViewer	-	Interactive Viewer for Panoramic Images
   Copyright (C) 2000 - Helmut Dersch  der@fh-furtwangen.de
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/*------------------------------------------------------------*/

import java.awt.image.*;
import java.net.URLConnection;
import java.lang.reflect.*;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.util.*;
import java.text.*;
import java.io.*;


public class ptcontext implements AppletContext {
	private Frame _frame;
	
	public ptcontext( Frame frame ){
		_frame = frame;
	}
	
	public void showStatus(String s){
		if(s!=null && s.length() > 0){
			//Dimension d = _frame.getSize();
			Applet a  = (Applet)_frame.getComponent(0);
			Dimension d = a.getSize();
			Graphics g = a.getGraphics();
			a.setBackground( Color.lightGray );
			g.clearRect(0,d.height-14,d.width,14);
			g.drawString(s, 10, d.height-2);
		}
	}
	
	public AudioClip getAudioClip(URL url){
		return null;
	}
	
	public void showDocument(URL url){
		new ptvjapp( url.getFile() );
	}
	
	public void showDocument(URL url, String target){
		showDocument(url);
	}
	
	public Applet getApplet(String name){
		return null;
	}
	
	public Enumeration getApplets(){
		return null;
	}
	
	public Image getImage(URL url){
		return Toolkit.getDefaultToolkit().getImage(url);
	}

}
